首页 新闻 搜索 专区 学院

ie6不能打开网页

0
悬赏园豆:50 [已解决问题] 解决于 2013-06-20 10:50

怎么才能在:当用户用ie6版本浏览器打开网页,就提示用户,您的浏览器版本太低,请升级浏览器版本。求大神指点!!是不是在js里面加点代码就可以了,还是???

淼淼笑的主页 淼淼笑 | 初学一级 | 园豆:157
提问于:2013-06-19 15:31
< >
分享
最佳答案
0
<script type="text/javascript">
        window.onload = function () {
            var browser = navigator.appName
            var b_version = navigator.appVersion;
            var version = b_version.split(";");
            var trim_Version = version[1].replace(/[ ]/g, "");
            if (browser == "Microsoft Internet Explorer" && trim_Version == "MSIE6.0") {
                alert("由于浏览器版本过低,本站的某些效果无法正常显示,请使用更高版本的浏览器。");
            }
        }
    </script>

已测试,完全可以.

收获园豆:43
只会造轮子 | 老鸟四级 |园豆:2274 | 2013-06-20 10:42

嗯,谢谢

淼淼笑 | 园豆:157 (初学一级) | 2013-06-20 10:48
其他回答(4)
0

js 可以

收获园豆:1
BarneyZhang | 园豆:8 (初学一级) | 2013-06-19 15:32

可以?怎么弄啊。有例子没有啊!

支持(0) 反对(0) 淼淼笑 | 园豆:157 (初学一级) | 2013-06-19 15:34
0
收获园豆:5
顾晓北 | 园豆:9953 (大侠五级) | 2013-06-19 15:36
0

我觉得可以直接升级浏览器,这样会快点。

青春纪念册 | 园豆:186 (初学一级) | 2013-06-19 17:22
0

分为如下几个步骤:

1、Js检测浏览器;

2、如果是IE6,给出提示,点击确定后,打开新版浏览器下载地址;

3、用户下载安装(不可控)。

收获园豆:1
幻天芒 | 园豆:36594 (高人七级) | 2013-06-20 00:37
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册